<template>
    <div>
        <h1>Affecter des professeurs</h1>
        <DispatcheurUtilisateur
            v-if="idGroupe"
            :idGroupe="idGroupe"
            :adresseChargement="'administration/affectationclub/'"
            :adresseEnregistrement="'administration/affectationclub/'"
            :autoriserModificationNom="false"
        />
    </div>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import DispatcheurUtilisateur from '../../components/DispatcheurUtilisateur.vue';
@Component({
    components: { DispatcheurUtilisateur }
})
export default class AffectationClub extends Vue {
    private idGroupe = '';
    beforeRouteEnter(to, from, next) {
        next(vm => (vm.idGroupe = to.params.id));
    }
}
</script>
